RecoveryHelper (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.recovery
Class RecoveryHelper

    java.lang.Object
      bitronix.tm.recovery.RecoveryHelper

    public class RecoveryHelper

extends Object

Reovery helper methods.

Author:
  lorban

Constructor Summary
`RecoveryHelper()`

Method Summary
`static boolean` | `commit(XAResourceHolderState xaResourceHolderState, Xid xid)` Commit the specified branch of a dangling transaction.
`static Set<BitronixXid>` | `recover(XAResourceHolderState xaResourceHolderState)` Run the recovery process on the target resource.
`static boolean` | `rollback(XAResourceHolderState xaResourceHolderState, Xid xid)` Rollback the specified branch of a dangling transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecoveryHelper

    public RecoveryHelper()

Method Detail

### recover

    public static Set<BitronixXid> recover(XAResourceHolderState xaResourceHolderState)
                                    throws XAException

  Run the recovery process on the target resource.

  Parameters:
    `xaResourceHolderState` - the `XAResourceHolderState` to recover.
  Returns:
    a Set of BitronixXids.
  Throws:
    `XAException` - if `XAResource.recover(int)` calls fail.

### commit

    public static boolean commit(XAResourceHolderState xaResourceHolderState,
                                 Xid xid)

  Commit the specified branch of a dangling transaction.

  Parameters:
    `xaResourceHolderState` - the `XAResourceHolderState` to commit the branch on.
    `xid` - the `Xid` to commit.
  Returns:
    true when commit was successful.

### rollback

    public static boolean rollback(XAResourceHolderState xaResourceHolderState,
                                   Xid xid)

  Rollback the specified branch of a dangling transaction.

  Parameters:
    `xaResourceHolderState` - the `XAResourceHolderState` to rollback the branch on.
    `xid` - the `Xid` to rollback.
  Returns:
    true when rollback was successful.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.